Contacts
Search Contacts by Emails
Searches for multiple contacts by their email addresses in a single request. Returns all matching contacts found in your project.
POST
/
contacts
/
search
/
emails
curl --request POST \
--url https://api.autosend.com/v1/contacts/search/emails \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"emails": [
"[email protected]",
"[email protected]"
]
}'
import requests
url = "https://api.autosend.com/v1/contacts/search/emails"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
payload = {
"emails": [
"[email protected]",
"[email protected]"
]
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
fetch('https://api.autosend.com/v1/contacts/search/emails', {
method: 'POST',
headers: {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
emails: [
'[email protected]',
'[email protected]'
]
})
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
<?php
$url = 'https://api.autosend.com/v1/contacts/search/emails';
$data = [
'emails' => [
'[email protected]',
'[email protected]'
]
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Authorization: Bearer <token>',
'Content-Type: application/json'
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
package main
import (
"bytes"
"encoding/json"
"fmt"
"net/http"
)
func main() {
url := "https://api.autosend.com/v1/contacts/search/emails"
payload := map[string]interface{}{
"emails": []string{
"[email protected]",
"[email protected]",
},
}
jsonData, _ := json.Marshal(payload)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.nio.charset.StandardCharsets;
public class SearchContactsByEmails {
public static void main(String[] args) {
try {
URL url = new URL("https://api.autosend.com/v1/contacts/search/emails");
HttpURLConnection con = (HttpURLConnection) url.openConnection();
con.setRequestMethod("POST");
con.setRequestProperty("Authorization", "Bearer <token>");
con.setRequestProperty("Content-Type", "application/json");
con.setDoOutput(true);
String jsonInputString = "{\n" +
" \"emails\": [\n" +
" \"[email protected]\",\n" +
" \"[email protected]\"\n" +
" ]\n" +
"}";
try (OutputStream os = con.getOutputStream()) {
byte[] input = jsonInputString.getBytes(StandardCharsets.UTF_8);
os.write(input, 0, input.length);
}
int status = con.getResponseCode();
System.out.println("Response Status: " + status);
} catch (Exception e) {
e.printStackTrace();
}
}
}
require 'net/http'
require 'json'
require 'uri'
uri = URI('https://api.autosend.com/v1/contacts/search/emails')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri.path)
request['Authorization'] = 'Bearer <token>'
request['Content-Type'] = 'application/json'
request.body = {
emails: [
'[email protected]',
'[email protected]'
]
}.to_json
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"contacts": [
{
"id": "507f1f77bcf86cd799439011",
"email": "[email protected]",
"firstName": "John",
"lastName": "Doe",
"userId": "user_12345",
"contactProperties": {
"company": "Acme Corp",
"role": "Developer",
"plan": "premium"
},
"updatedAt": "2024-01-15T10:30:00.000Z",
"createdAt": "2024-01-15T10:30:00.000Z",
"projectId": "229f1f77bcf86cd9273048038",
"listIds": ["69929ee99ba41f12c56b710e"],
"segmentIds": ["6a0c0fb56ae88a19f5a010a9"]
}
]
}
}
curl --request POST \
--url https://api.autosend.com/v1/contacts/search/emails \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"emails": [
"[email protected]",
"[email protected]"
]
}'
import requests
url = "https://api.autosend.com/v1/contacts/search/emails"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
payload = {
"emails": [
"[email protected]",
"[email protected]"
]
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
fetch('https://api.autosend.com/v1/contacts/search/emails', {
method: 'POST',
headers: {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
emails: [
'[email protected]',
'[email protected]'
]
})
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
<?php
$url = 'https://api.autosend.com/v1/contacts/search/emails';
$data = [
'emails' => [
'[email protected]',
'[email protected]'
]
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Authorization: Bearer <token>',
'Content-Type: application/json'
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
package main
import (
"bytes"
"encoding/json"
"fmt"
"net/http"
)
func main() {
url := "https://api.autosend.com/v1/contacts/search/emails"
payload := map[string]interface{}{
"emails": []string{
"[email protected]",
"[email protected]",
},
}
jsonData, _ := json.Marshal(payload)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.nio.charset.StandardCharsets;
public class SearchContactsByEmails {
public static void main(String[] args) {
try {
URL url = new URL("https://api.autosend.com/v1/contacts/search/emails");
HttpURLConnection con = (HttpURLConnection) url.openConnection();
con.setRequestMethod("POST");
con.setRequestProperty("Authorization", "Bearer <token>");
con.setRequestProperty("Content-Type", "application/json");
con.setDoOutput(true);
String jsonInputString = "{\n" +
" \"emails\": [\n" +
" \"[email protected]\",\n" +
" \"[email protected]\"\n" +
" ]\n" +
"}";
try (OutputStream os = con.getOutputStream()) {
byte[] input = jsonInputString.getBytes(StandardCharsets.UTF_8);
os.write(input, 0, input.length);
}
int status = con.getResponseCode();
System.out.println("Response Status: " + status);
} catch (Exception e) {
e.printStackTrace();
}
}
}
require 'net/http'
require 'json'
require 'uri'
uri = URI('https://api.autosend.com/v1/contacts/search/emails')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri.path)
request['Authorization'] = 'Bearer <token>'
request['Content-Type'] = 'application/json'
request.body = {
emails: [
'[email protected]',
'[email protected]'
]
}.to_json
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"contacts": [
{
"id": "507f1f77bcf86cd799439011",
"email": "[email protected]",
"firstName": "John",
"lastName": "Doe",
"userId": "user_12345",
"contactProperties": {
"company": "Acme Corp",
"role": "Developer",
"plan": "premium"
},
"updatedAt": "2024-01-15T10:30:00.000Z",
"createdAt": "2024-01-15T10:30:00.000Z",
"projectId": "229f1f77bcf86cd9273048038",
"listIds": ["69929ee99ba41f12c56b710e"],
"segmentIds": ["6a0c0fb56ae88a19f5a010a9"]
}
]
}
}
Authorizations
string | header
required
Bearer authentication header of the form Bearer
<token>, where <token> is your auth token.Body
Array of email addresses to searchstring[]
required
Array of email addresses (minimum 1, automatically normalized)Example:
["[email protected]", "[email protected]"]Response
Contacts retrieved successfullyboolean
Indicates if the request was successfulExample:
trueobject
Show child attributes
Show child attributes
array
Array of contact objects
Show child attributes
Show child attributes
string
Contact IDExample:
"507f1f77bcf86cd799439011"string
Contact email addressExample:
"[email protected]"string
Contact’s first nameExample:
"John"string
Contact’s last nameExample:
"Doe"string
Your application’s user identifierExample:
"user_12345"object
Custom contact attributes
Example:
Show child attributes
Show child attributes
string
{
"company": "Acme Corp",
"role": "Developer",
"plan": "premium"
}
string
Contact creation timestampExample:
"2024-01-15T10:30:00.000Z"string
Contact last update timestampExample:
"2024-01-15T10:30:00.000Z"string
Project ID that the contact belongs toExample:
"229f1f77bcf86cd9273048038"array
Contact List IDsExample:
["69929ee99ba41f12c56b710e"]array
Segment IDs the contact belongs toExample:
["6a0c0fb56ae88a19f5a010a9"]Was this page helpful?
⌘I
curl --request POST \
--url https://api.autosend.com/v1/contacts/search/emails \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"emails": [
"[email protected]",
"[email protected]"
]
}'
import requests
url = "https://api.autosend.com/v1/contacts/search/emails"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
payload = {
"emails": [
"[email protected]",
"[email protected]"
]
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
fetch('https://api.autosend.com/v1/contacts/search/emails', {
method: 'POST',
headers: {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
emails: [
'[email protected]',
'[email protected]'
]
})
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
<?php
$url = 'https://api.autosend.com/v1/contacts/search/emails';
$data = [
'emails' => [
'[email protected]',
'[email protected]'
]
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Authorization: Bearer <token>',
'Content-Type: application/json'
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
package main
import (
"bytes"
"encoding/json"
"fmt"
"net/http"
)
func main() {
url := "https://api.autosend.com/v1/contacts/search/emails"
payload := map[string]interface{}{
"emails": []string{
"[email protected]",
"[email protected]",
},
}
jsonData, _ := json.Marshal(payload)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.nio.charset.StandardCharsets;
public class SearchContactsByEmails {
public static void main(String[] args) {
try {
URL url = new URL("https://api.autosend.com/v1/contacts/search/emails");
HttpURLConnection con = (HttpURLConnection) url.openConnection();
con.setRequestMethod("POST");
con.setRequestProperty("Authorization", "Bearer <token>");
con.setRequestProperty("Content-Type", "application/json");
con.setDoOutput(true);
String jsonInputString = "{\n" +
" \"emails\": [\n" +
" \"[email protected]\",\n" +
" \"[email protected]\"\n" +
" ]\n" +
"}";
try (OutputStream os = con.getOutputStream()) {
byte[] input = jsonInputString.getBytes(StandardCharsets.UTF_8);
os.write(input, 0, input.length);
}
int status = con.getResponseCode();
System.out.println("Response Status: " + status);
} catch (Exception e) {
e.printStackTrace();
}
}
}
require 'net/http'
require 'json'
require 'uri'
uri = URI('https://api.autosend.com/v1/contacts/search/emails')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri.path)
request['Authorization'] = 'Bearer <token>'
request['Content-Type'] = 'application/json'
request.body = {
emails: [
'[email protected]',
'[email protected]'
]
}.to_json
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"contacts": [
{
"id": "507f1f77bcf86cd799439011",
"email": "[email protected]",
"firstName": "John",
"lastName": "Doe",
"userId": "user_12345",
"contactProperties": {
"company": "Acme Corp",
"role": "Developer",
"plan": "premium"
},
"updatedAt": "2024-01-15T10:30:00.000Z",
"createdAt": "2024-01-15T10:30:00.000Z",
"projectId": "229f1f77bcf86cd9273048038",
"listIds": ["69929ee99ba41f12c56b710e"],
"segmentIds": ["6a0c0fb56ae88a19f5a010a9"]
}
]
}
}